## org.biojava.bio.structure.io.mmcif.model
Class Entity

    java.lang.Object
      org.biojava.bio.structure.io.mmcif.model.Entity

    public class Entity

extends Object

A simple class to represent Entity records in mmCif files

Author:
  Andreas Prlic

Constructor Summary
`Entity()`

Method Summary
`String` `getDetails()`
`String` `getFormula_weight()`
`String` `getId()`
`String` `getPdbx_description()`
`String` `getPdbx_ec()`
`String` `getPdbx_fragment()`
`String` `getPdbx_mutation()`
`String` `getPdbx_number_of_molecules()`
`String` `getSrc_method()`
`String` `getType()`
`void` `setDetails(String details)`
`void` `setFormula_weight(String formula_weight)`
`void` `setId(String id)`
`void` `setPdbx_description(String pdbx_description)`
`void` `setPdbx_ec(String pdbx_ec)`
`void` `setPdbx_fragment(String pdbx_fragment)`
`void` `setPdbx_mutation(String pdbx_mutation)`
`void` `setPdbx_number_of_molecules(String pdbx_number_of_molecules)`
`void` `setSrc_method(String src_method)`
`void` `setType(String type)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Entity

    public Entity()

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getId

    public String getId()

### setId

    public void setId(String id)

### getType

    public String getType()

### setType

    public void setType(String type)

### getSrc_method

    public String getSrc_method()

### setSrc_method

    public void setSrc_method(String src_method)

### getPdbx_description

    public String getPdbx_description()

### setPdbx_description

    public void setPdbx_description(String pdbx_description)

### getFormula_weight

    public String getFormula_weight()

### setFormula_weight

    public void setFormula_weight(String formula_weight)

### getPdbx_number_of_molecules

    public String getPdbx_number_of_molecules()

### setPdbx_number_of_molecules

    public void setPdbx_number_of_molecules(String pdbx_number_of_molecules)

### getDetails

    public String getDetails()

### setDetails

    public void setDetails(String details)

### getPdbx_mutation

    public String getPdbx_mutation()

### setPdbx_mutation

    public void setPdbx_mutation(String pdbx_mutation)

### getPdbx_fragment

    public String getPdbx_fragment()

### setPdbx_fragment

    public void setPdbx_fragment(String pdbx_fragment)

### getPdbx_ec

    public String getPdbx_ec()

### setPdbx_ec

    public void setPdbx_ec(String pdbx_ec)